# Plutonium framework API: pu::ui::Color Struct Reference

pu::ui::Color Struct Reference

`#include <ui_Types.hpp>`

## Public Member Functions

constexpr | Color ()
constexpr | Color (const u8 r, const u8 g, const u8 b, const u8 a)

## Static Public Member Functions

static Color | FromHex (const std::string &str_clr)

## Public Attributes

u8 | r
u8 | g
u8 | b
u8 | a

## Constructor & Destructor Documentation

## Color() [1/2]

constexpr pu::ui::Color::Color | ( |  | ) |

inlineconstexpr

## Color() [2/2]

constexpr pu::ui::Color::Color | ( | const u8 | r,
|  | const u8 | g,
|  | const u8 | b,
|  | const u8 | a
| ) |  |

inlineconstexpr

## Member Function Documentation

## FromHex()

static Color pu::ui::Color::FromHex | ( | const std::string & | str_clr | ) |

static

## Member Data Documentation

## a

u8 pu::ui::Color::a

## b

u8 pu::ui::Color::b

## g

u8 pu::ui::Color::g

## r

u8 pu::ui::Color::r

The documentation for this struct was generated from the following file:

- Plutonium/include/pu/ui/ui_Types.hpp